Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.ticket
Enum ObjectClassOpsV1.MethodName

    java.lang.Object
      java.lang.Enum<ObjectClassOpsV1.MethodName>
          com.bea.content.spi.flexspi.ticket.ObjectClassOpsV1.MethodName

All Implemented Interfaces
  Serializable, Comparable<ObjectClassOpsV1.MethodName>

Enclosing interface:
  ObjectClassOpsV1

    public static enum ObjectClassOpsV1.MethodName

extends Enum<ObjectClassOpsV1.MethodName>

Enum Constant Summary
`createObjectClass`
`createPropertyDefinition`
`deleteObjectClass`
`deletePropertyDefinition`
`getAllObjectClasses`
`getChildObjectClasses`
`getNativeFilterableProperties`
`getNativeSortableProperties`
`getObjectClass`
`getObjectClassesWithQueryCriteria`
`getObjectClassWithId`
`getObjectClassWithName`
`getPropertyChoiceBytes`
`getPropertyDefinition`
`getPropertyDefinitions`
`renameObjectClass`
`save`
`updatePropertyDefinition`

Method Summary
`static ObjectClassOpsV1.MethodName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ObjectClassOpsV1.MethodName[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### createObjectClass

    public static final ObjectClassOpsV1.MethodName createObjectClass

### createPropertyDefinition

    public static final ObjectClassOpsV1.MethodName createPropertyDefinition

### deleteObjectClass

    public static final ObjectClassOpsV1.MethodName deleteObjectClass

### deletePropertyDefinition

    public static final ObjectClassOpsV1.MethodName deletePropertyDefinition

### getAllObjectClasses

    public static final ObjectClassOpsV1.MethodName getAllObjectClasses

### getChildObjectClasses

    public static final ObjectClassOpsV1.MethodName getChildObjectClasses

### getNativeFilterableProperties

    public static final ObjectClassOpsV1.MethodName getNativeFilterableProperties

### getNativeSortableProperties

    public static final ObjectClassOpsV1.MethodName getNativeSortableProperties

### getObjectClass

    public static final ObjectClassOpsV1.MethodName getObjectClass

### getObjectClassesWithQueryCriteria

    public static final ObjectClassOpsV1.MethodName getObjectClassesWithQueryCriteria

### getObjectClassWithId

    public static final ObjectClassOpsV1.MethodName getObjectClassWithId

### getObjectClassWithName

    public static final ObjectClassOpsV1.MethodName getObjectClassWithName

### getPropertyChoiceBytes

    public static final ObjectClassOpsV1.MethodName getPropertyChoiceBytes

### getPropertyDefinition

    public static final ObjectClassOpsV1.MethodName getPropertyDefinition

### getPropertyDefinitions

    public static final ObjectClassOpsV1.MethodName getPropertyDefinitions

### renameObjectClass

    public static final ObjectClassOpsV1.MethodName renameObjectClass

### save

    public static final ObjectClassOpsV1.MethodName save

### updatePropertyDefinition

    public static final ObjectClassOpsV1.MethodName updatePropertyDefinition

Method Detail

### values

    public static final ObjectClassOpsV1.MethodName[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ObjectClassOpsV1.MethodName valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved